Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002535KdenliveMLTpublic2012-03-02 04:352012-05-15 10:58
Reporterambidoxe 
Assigned Toj-b-m 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.9 
Summary0002535: kdenlive blocks on opening
Description1st time i tried to open it said "can't find SDL in MLT".
Tried to find nu version of MLT. Didn't work.
Then I tried to get a nu version of kdenlive on kdenlive.org : now direct on bug page.
TagsNo tags attached.
Build/Install Method(select)
Attached Files

- Relationships

-  Notes
(0007917)
j-b-m (administrator)
2012-03-05 11:25

Which Linux distribution are you using?
(0007922)
ambidoxe (reporter)
2012-03-10 20:41

The last one.
(0007923)
ambidoxe (reporter)
2012-03-10 20:43

I tried to recompiled an older one and didnt succeed, i had no time to insist, i think i'll do it tomorrow (but i supposed u don't care, it musn't be the reason u ask the question).
Have a good day/night.
(0007924)
j-b-m (administrator)
2012-03-10 21:07

You didn't answer my question... I was asking about your linux distribution... Ubuntu, Suse, Debian, ... Mostly because I was wondering which MLT / Kdenlive packages you are using. Compiling MLT / Kdenlive yourself is not recommended unless you have some previous experiences in compiling / managing dependencies.

Can't you find binary packages?
(0007928)
ambidoxe (reporter)
2012-03-13 14:24

ubuntu 11.11
Kdenlive is 0.8.2.1 and MLT 0.7.6
I tried to compile an older version because this binary package didn't work, but since t didn't succeed in compiling, i'm still with the versions noted up here.
(0007930)
ambidoxe (reporter)
2012-03-15 23:09

I mean ubuntu oneiric 10.10, sorry.
(0007931)
ambidoxe (reporter)
2012-03-15 23:15

All right, it's the 11.10 version !..
(0007932)
ambidoxe (reporter)
2012-03-16 00:22

Ubuntu 11.10
Kdenlive is 0.8.2.1 and MLT 0.7.6

Details :
Exécutable : kdenlive PID : 18583 Signal : Segmentation fault (11)


Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fe04a93a7c0 (LWP 18583))]

Thread 2 (Thread 0x7fe032590700 (LWP 18586)):
#0 0x00007fe045178473 in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1 0x00007fe04298cf68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000002 0x00007fe04298d792 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000003 0x00007fe039eb5516 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
0000004 0x00007fe0429b22b6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000005 0x00007fe04642956c in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
0000006 0x00007fe046c45efc in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000007 0x00007fe04518459d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000008 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fe04a93a7c0 (LWP 18583)):
[KCrash Handler]
0000006 mlt_properties_find (name=0x78e498 "window_id", self=0x0) at mlt_properties.c:484
0000007 mlt_properties_fetch (self=0x0, name=0x78e498 "window_id") at mlt_properties.c:560
0000008 0x00007fe04728fd1c in mlt_properties_set_int (self=0x0, name=0x78e498 "window_id", value=109051983) at mlt_properties.c:892
0000009 0x00007fe047075182 in Mlt::Properties::set(char const*, int) () from /usr/local/lib/libmlt++.so.3
0000010 0x00000000006c0402 in ?? ()
0000011 0x00000000006c0ac0 in ?? ()
0000012 0x000000000065b666 in ?? ()
0000013 0x00000000004d91ac in ?? ()
0000014 0x0000000000451843 in ?? ()
0000015 0x00007fe0450c230d in __libc_start_main () from /lib/x86_64-linux-gnu/libc.so.6
0000016 0x0000000000451ae1 in _start ()
(0007933)
j-b-m (administrator)
2012-03-16 15:15

You probably have several versions of MLT installed which causes problems on your system. From your crash log:

 in Mlt::Properties::set(char const*, int) () from /usr/local/lib/libmlt++.so.3

Looks like you have a libmlt in /usr/local/lib which is usually created when compiling MLT. The packages install MLT in /usr/lib. So make sure to remove all MLT stuff, using something like this (be careful when using these delete commands):

sudo rm -Rf /usr/local/lib/mlt
sudo rm /usr/local/lib/libmlt*
sudo rm /usr/local/bin/melt
sudo rm -Rf /usr/local/share/mlt

After this, only the binary packages should be left, check that with;

ls -la /usr/lib/libmlt*

You should have only the 0.7.6 libraries now.
(0007934)
ambidoxe (reporter)
2012-03-16 15:36

Great ! It worked !!! And the worst is that i tried to do it yesterday, but i must have made an error.
1001 thanks to u. I'll put it in the forum so it can help someone. [next time i'll try not to disturb the developpers with such evident stuff.]
I'll make u know when my movie is finished, i hope it'll give u guys proudness of the users and the use u made possible with your great app.
Enjoy yourselves.

seba.

- Issue History
Date Modified Username Field Change
2012-03-02 04:35 ambidoxe New Issue
2012-03-05 11:25 j-b-m Note Added: 0007917
2012-03-05 11:25 j-b-m Assigned To => j-b-m
2012-03-05 11:25 j-b-m Status new => feedback
2012-03-10 20:41 ambidoxe Note Added: 0007922
2012-03-10 20:41 ambidoxe Status feedback => assigned
2012-03-10 20:43 ambidoxe Note Added: 0007923
2012-03-10 21:07 j-b-m Note Added: 0007924
2012-03-13 14:24 ambidoxe Note Added: 0007928
2012-03-15 23:09 ambidoxe Note Added: 0007930
2012-03-15 23:15 ambidoxe Note Added: 0007931
2012-03-16 00:22 ambidoxe Note Added: 0007932
2012-03-16 15:15 j-b-m Note Added: 0007933
2012-03-16 15:36 ambidoxe Note Added: 0007934
2012-03-16 16:40 j-b-m Status assigned => resolved
2012-03-16 16:40 j-b-m Resolution open => no change required
2012-05-15 10:57 j-b-m Fixed in Version => 0.9
2012-05-15 10:58 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker